# Apply Mapping Reference Sets

This section considers the terminology services required to apply a mapping reference set to map data between SNOMED CT and another code system.

A mapping reference set is a reference set designed to support the process of mapping data from one code system, classification, or terminology to another code system, classification, or terminology.

{% hint style="info" %}
**Notes**

* There are several types of *mapping reference set* each of these supports different types of mapping.
  * **Simple Map from SNOMED CT Reference Sets** and **Simple Map to SNOMED CT Reference Sets** support one-to-one maps from or to SNOMED CT.
  * **Complex and Extended Map from SNOMED CT Reference Sets** support maps where additional information is required to determine the correct mapping from SNOMED CT to a statistical classification such as ICD-10.
  * Maps which have a requirement to indicate the degree of correlation between a SNOMED CT concept and other codes. (See Map Reference Sets which use "correlation" within their type / name.)
  * **Code to Expression Reference Sets** support maps from other code systems in cases where some or all the source codes may need to be represented by a postcoordinated expression.
    {% endhint %}

In practice, these terminology services only get the relevant mapping data for the source concept (or source code in the other code system). The relevant mapping data may be one or more rows from the mapping reference set. If there are no rows, this implies that there are no maps from the source code. Otherwise, the rows of returned mapping data must be parsed using the rules applicable to the particular map to determine the result. These rules are found in the mapping guide associated with the particular map or mapping reference set type. For example, the mapping rules for the SNOMED International ICD-10 map are documented in the [ICD-10 Mapping Technical Guide](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-to-icd-10-map-specification/).

{% hint style="info" %}
SNOMED International provides an online [Mapping Tool](https://confluence.ihtsdotools.org/display/TOOLS/SNOMED+CT+Mapping+Tool) that can be used to access maps that it distributes. This tool enables guests to view the maps (see <https://mapping.ihtsdotools.org/>).
{% endhint %}

## Services Required to Access Mapping Data

The following table shows a summary of the services required to support effective use of a mapping reference set.

<table data-full-width="true"><thead><tr><th width="365.51171875">Practical Requirement</th><th width="325.83203125">Required Services</th><th>Dependencies</th><th data-hidden>Status</th></tr></thead><tbody><tr><td>Enable the selection of SNOMED CT edition and version to be used.<br><br>REQUIRED</td><td><a href="/pages/kpefykqjd3qpJgDShabI">Select Edition and Version</a></td><td>N/A</td><td></td></tr><tr><td>Get maps for a specified concept in an identified<a data-footnote-ref href="#user-content-fn-1"> map reference set</a><br><br>REQUIRED</td><td><p><a href="/pages/igLzXjwIqAPvVOV6JLdX">Get Mapping Data</a></p><ul><li>Get maps based on combinations of refsetId and referencedComponentId</li></ul></td><td><a href="/pages/YFYLYgDu4eHrmIx9sFL8">Get Data from a Reference Set</a></td><td>REQUIRED</td></tr><tr><td>Get maps for a specified code in another code system in an identified map reference set<br><br>REQUIRED</td><td><p><a href="/pages/igLzXjwIqAPvVOV6JLdX">Get Mapping Data</a></p><ul><li>Get maps based on combinations of refsetId and mapTarget</li></ul></td><td>N/A</td><td>REQUIRED</td></tr></tbody></table>

{% hint style="warning" %}
When applying a mapping reference set it is important to note that most mapping reference sets are designed to be unidirectional and will not produce reliable results when used to map codes in the opposite direction.
{% endhint %}

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=SNOMED+Terminology+Services+Guide&#x26;entry.670899847=Apply%20Mapping%20Reference%20Sets" class="button primary">Provide Feedback</a>

[^1]: Most mapping reference sets are designed to be unidirectional and will not produce reliable results when used to map codes in the opposite direction. Check the documentation before using a mapping reference set and only use it for mapping in the direction specified. For example, the ICD-10 extended map distributed by SNOMED International is designed to be used to map from SNOMED CT to ICD-10.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snomed.org/snomed-ct-practical-guides/snomed-ct-terminology-services-guide/3-terminology-service-use-cases/apply-mapping-reference-sets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
